<?php
/**********************************************************************
***********************************************************************/
$page_security = 'SA_DASHBOARD_UTILITY_VIEW';
$path_to_root = "../..";

include($path_to_root . "/includes/session.inc");
include_once($path_to_root . "/includes/ui.inc");
include_once($path_to_root . "/payroll/includes/db/payroll_run_db.inc");
include_once($path_to_root . "/dashboard/includes/ui/view_payroll_ui.inc");
include_once($path_to_root . "/payroll/includes/db/process_payroll_calculation_db.inc");

$js = '';
$js .= get_js_open_window(900, 500);
$js .= get_js_date_picker();

page(_($help_context = "View Payroll Summary"), true, false, "", $js);

if (isset($_GET["trans_no"])) {
    $payroll_run_id = $_GET["trans_no"];
}

$db_name = '';
if (isset($_GET["comp"])) {
    $db_name = $_GET["comp"];
}

    display_heading("Payroll Run #$payroll_run_id"); br(1);

    $payroll = display_payroll_run_header_details($payroll_run_id, $db_name);

    display_payroll_run_summary_details($payroll_run_id, $payroll);

end_page(true, false, false, ST_PAYROLL, $payroll_run_id);

?>